
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main( int argc, char *argv[] )
{
  int fd;

  if( (fd = open( "pruebaOpen.c", O_CREAT )) == -1 )
  {
    perror( "open" );
	return -1;
  }

  printf( "El fichero abierto tiene el descriptor %d.\n", fd );

  close( fd );
  
  if( (fd = open( "pruebaOpen2.c", O_CREAT )) == -1 )
  {
    perror( "open2" );
    return -1;
  }

  printf( "El fichero abierto tiene el descriptor %d.\n", fd );

  close( fd );
  
  if( (fd = open( "pruebaOpen3.c", O_CREAT )) == -1 )
  {
    perror( "open3" );
    return -1;
  }

  printf( "El fichero abierto tiene el descriptor %d.\n", fd );

  close( fd );

  return 0;
}
